<?php

require_once '../../incfiles/core.php';
require_once '../../incfiles/func.php';
require_once '../../incfiles/auth.php';
require_once '../../incfiles/user.php';

if (empty($user_id)) {go(URL.'/');}

if ($_POST['del'])
{
		$oblozhka = HOME.'/files/groups/oblozhka/'.$id['oblozhka'];
		if (file_exists($oblozhka))
		{
		unlink($oblozhka);
		}
		mysql_query("UPDATE `groups` SET `oblozhka` = '' WHERE `id` = '".$id."'");

		go(URL.'/groups/adm/oblozhka.php');
}
else if (!empty($_POST['upl']) && !empty($_FILES['file']['name']))
{
	require_once HOME.'/toolkit/AcImage.php';
	AcImage::setTransparency(true);
	AcImage::setQuality(80);
	if(AcImage::isFileExists($_FILES['file']['tmp_name'])) {} else {$err = 'Файл не существует!';}
	if($err == false && AcImage::isFileImage($_FILES['file']['tmp_name']))
	{
		$oblozhka = HOME.'/files/oblozhka/'.$user_id.'.jpg';
		if (file_exists($oblozhka))
		{
		unlink($oblozhka);
		}
		$dir = HOME.'/files/groups/oblozhka';
		if (!is_dir($dir))
		{
			mkdir(HOME.'/files/groups/oblozhka',0777);
		}
		$file_name = $user_id.'.jpg';
		///
		$savePath = HOME.'/files/groups/oblozhka/'.$file_name;
		$filePath = $_FILES['file']['tmp_name'];
		$image = AcImage::createImage($filePath);
		$image
		->resizeByWidth(600)
		->cropCenter('3pr', '1pr')
		->save($savePath);

		mysql_query("UPDATE `groups` SET `oblozhka` = '".$file_name."' WHERE `id` = '".$id."'");

		go(URL.'/groups/?id='.$id.'');
	}
	else
	{
		$err = ''.lang('Неизвестный формат!','Невідомий формат!').'';
	}
}

$title = ''.lang('Изменить обложку!','Змінити обкладинку!').'';
require_once '../../incfiles/head.php';

echo '<div class="title">'.lang('Изменить обложку!','Змінити обкладинку!').'</div>';
if (!empty($id['oblozhka']))
{
	echo '<div class="block2">'.lang('Текущая обложка:','Поточна обкладинка').'<br/>
	<center>
	<img class="preview" src="'.URL.'/files/groups/oblozhka/'.$id['oblozhka'].'"/>
	</center>
	</div>';
}
	echo ''.err($err);
	echo '<form action="'.URL.'/groups/adm/oblozhka.php" method="post" enctype="multipart/form-data">
	<div class="block2">'.lang('Выберите фото','Виберіть фото').'<br/>
	<input class="input" name="file" type="file"/>
	</div><div class="block2">
	<input class="button" type="submit" name="upl" value="'.lang('Загрузить','Завантажити').'" /> </br> <input class="button" type="submit" name="del" value="'.lang('Очистить','Очистити').'" />
	</div>
	</form>';

require_once '../../incfiles/foot.php';

?>